DSP.jl
======

[![CI](https://github.com/JuliaDSP/DSP.jl/actions/workflows/CI.yml/badge.svg)](https://github.com/JuliaDSP/DSP.jl/actions?query=workflow%3ACI+branch%3Amaster)
[![Codecov](http://codecov.io/github/JuliaDSP/DSP.jl/coverage.svg?branch=master)](http://codecov.io/github/JuliaDSP/DSP.jl?branch=master)
[![Documentation (stable)](https://img.shields.io/badge/docs-stable-blue.svg)](https://docs.juliadsp.org/stable/contents/)
[![Documentation (latest)](https://img.shields.io/badge/docs-dev-blue.svg)](https://docs.juliadsp.org/latest/contents/)

DSP.jl provides a number of common [digital signal processing](https://en.wikipedia.org/wiki/Digital_signal_processing) routines in Julia. These include:

- [Periodogram estimation](https://docs.juliadsp.org/stable/periodograms)
- [Filter design and filtering](https://docs.juliadsp.org/stable/filters)
- [Estimation](http://docs.juliadsp.org/stable/estimation/)
- [Convolution](https://docs.juliadsp.org/stable/convolutions)
- [Linear Predictive Coding](https://docs.juliadsp.org//stable/lpc)
- [Window functions](https://docs.juliadsp.org/stable/windows)
- [Utility functions](https://docs.juliadsp.org/stable/util)

More details can be found in the [Online Documentation](https://docs.juliadsp.org/stable/contents/).

The documentation for pre-releases (master) can be found [here](https://docs.juliadsp.org/latest/contents/).
